@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes showElement {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.stores {
  padding-left: 0;
  padding-right: 0;

  @include media("md") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .location .store-locator-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    @include media("md") {
      flex-direction: row;
      align-items: stretch;
      justify-content: space-between;
    }
  }

  > .location .store-finder-search-container {
    width: 100%;
    padding: 2.4rem 5%;
    background-color: var(--gray-1);

    @include media("md") {
      padding: 2.4rem 1.6rem;
      width: 35%;
    }
  }

  > .location .store-finder-title {
    font-size: var(--font-size-base);
    font-weight: 700;
    margin-bottom: 0.8rem;
    text-align: center;
  }

  > .location .store-finder-input-wrapper {
    display: flex;
    align-items: center;
    background-color: var(--white);
    border: 1px solid var(--gray-2);
    border-radius: 0.4rem;
    height: 5rem;
    padding: 1rem 1.6rem;
    margin-bottom: 0.8rem;

    @include media("md") {
      transition: var(--transition);

      &:hover {
        box-shadow: inset 0 0 250px 0 rgba(0, 0, 0, 0.08);
      }
    }
  }

  > .location .store-finder-input-wrapper svg {
    min-width: 2rem;
    width: 2rem;
    height: 2rem;
    margin-right: 0.8rem;
    color: var(--gray-4);
  }

  > .location .store-finder-input-wrapper .store-finder-input {
    outline: none;
    width: 100%;
    font-weight: var(--font-weight-base);
    font-size: var(--font-size-small);
    color: var(--font-color-base);
    background-color: transparent;

    &::placeholder {
      color: var(--gray-3);
    }
  }

  > .location span {
    display: block;
    text-align: center;
    margin-bottom: 0.8rem;
  }

  > .location .store-finder-geo-button {
    text-align: center;
    padding: 0 1rem;
    width: 100%;
    height: 5rem;
    margin-bottom: 0.8rem;
  }

  > .location .store-finder-geo-button svg {
    min-width: 1.8rem;
    width: 1.8rem;
    height: 1.8rem;
    margin-right: 0.8rem;
  }

  > .location .store-finder-country-dropdown {
    position: relative;
    border: 1px solid var(--gray-2);
    background-color: var(--white);
    color: var(--gray-3);
    width: 100%;
    height: 5rem;
    border-radius: 0.4rem;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;

    @include media("md") {
      transition: var(--transition);
      margin-bottom: 2.4rem;

      &:hover {
        box-shadow: inset 0 0 250px 0 rgba(0, 0, 0, 0.08);
      }
    }
  }

  > .location .box-select::before {
    position: absolute;
    top: 45%;
    right: 1.6rem;
    content: "";
    border: solid var(--font-color-base);
    border-width: 0 1px 1px 0;
    display: inline-block;
    transform: rotate(45deg) translateY(-50%);
    padding: 0.3rem;
  }

  > .location #select-states {
    height: 100%;
    background-color: transparent;
    border: none;
    text-align: left;
    padding: 0.5rem 3rem 0.5rem 1.6rem;
    width: 100%;
    -webkit-appearance: none;

    &:focus {
      outline: none;
    }
  }

  > .location .toggle-content-mobile {
    display: flex;
    justify-content: center;
    padding: 4rem 5%;
    background-color: var(--white);
    width: 100%;

    @include media("md") {
      display: none;
    }
  }

  > .location .toggle-content-mobile button {
    position: relative;
    color: var(--gray-3);
    padding-bottom: 0.6rem;
    transition: var(--transition);

    &:first-child {
      margin-right: 3.2rem;
    }
  }

  > .location .toggle-content-mobile button::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    transform: scaleX(0);
    background-color: var(--gray-4);
    transition: var(--transition);
  }

  > .location .toggle-content-mobile button.-active {
    color: var(--gray-4);

    &::after {
      transform: scaleX(1);
    }
  }

  > .location .result-pane {
    width: 100%;
    display: none;
    background-color: var(--gray-1);
    padding: 2.4rem 5%;
    opacity: 0;

    &.-open,
    &.open {
      display: block;
      animation: showElement 400ms 100ms forwards;
    }

    @include media("md") {
      display: block;
      opacity: 1;
      background-color: transparent;
      padding: 0;
    }
  }

  > .location .found-total {
    display: block;
    text-align: center;
    margin-bottom: 2.4rem;
    font-weight: 700;
    color: var(--gray-4);

    @include media("md") {
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      text-align: left;
    }
  }

  > .location .store-finder-list {
    position: relative;
    height: 49rem;
    overflow: hidden;
    overflow-y: auto;
    padding-right: 0.8rem;

    @include media("md") {
      height: 37rem;
    }

    /* width */
    &::-webkit-scrollbar {
      width: 0.2rem;
      -webkit-appearance: none;
    }

    /* Track */
    &::-webkit-scrollbar-track {
      background: var(--white);
      border-radius: 0.8rem;
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
      background: var(--gray-3);
      border-radius: 0.8rem;
    }
  }

  > .location .store-list-item {
    background-color: var(--white);
    margin-bottom: 2.4rem;
    padding: 1.6rem;
    position: relative;
    z-index: 1;

    &:last-child {
      margin-bottom: 0;
    }
  }

  > .location .store-list-item .image {
    margin-bottom: 0.8rem;
  }

  > .location .store-list-item .image::after {
    padding-bottom: 43.17%;
  }

  > .location .address-title {
    margin-bottom: 0.8rem;
    color: var(--gray-4);
    font-weight: 700;
  }

  > .location .address-line,
  > .location .address-phone,
  > .location .address-email {
    margin-bottom: 0.8rem;
    color: var(--gray-3);
    font-size: var(--font-size-small);
  }

  > .location .address-phone,
  > .location .address-email {
    display: flex;
    align-items: center;

    &:before {
      content: "";
      background-repeat: no-repeat;
      background-size: contain;
      display: block;
      height: 2.4rem;
      margin-right: 0.8rem;
      width: 2.4rem;
      min-width: 2.4rem;
    }
  }

  > .location .address-phone::before {
    background-image: url("../../../images/whatsapp.svg");
  }

  > .location .address-email::before {
    background-image: url("../../../images/mail.svg");
  }

  > .location .address-focus-map {
    text-align: center;
    padding: 0 1rem;
    width: 100%;
    height: 5rem;
  }

  > .location .address-focus-map svg {
    min-width: 1.8rem;
    width: 1.8rem;
    height: 1.8rem;
    margin-right: 0.8rem;
  }

  > .location .tab-content {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;

    @include media("md") {
      width: calc(65% - 2.4rem);
    }
  }

  > .location .map-pane {
    overflow: hidden;
    width: 100%;
    display: none;
    opacity: 0;

    &.-open,
    &.open {
      display: block;
      animation: showElement 400ms 100ms forwards;
    }

    @include media("md") {
      display: block;
      opacity: 1;
    }
  }

  > .location .map-canvas {
    position: relative;
    height: 100%;
    min-height: 56rem;
    overflow: hidden;
    width: 100%;
    z-index: initial;
  }

  // Placeholder de loading para o mapa e para os resultados
  > .location .-loading {
    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      display: block;
      background-color: var(--gray-1);
    }

    &:after {
      animation: spin 2s linear infinite;
      content: "";
      border: 0.3rem solid var(--gray-2);
      border-top: 0.3rem solid var(--gray-3);
      border-radius: 50%;
      display: block;
      height: 2rem;
      position: absolute;
      top: calc(50% - 1.3rem);
      left: calc(50% - 1.3rem);
      width: 2rem;
    }
  }
}
